#pragma once
#pragma unmanaged
#include "BulletCollision/CollisionShapes/btStaticPlaneShape.h"
#pragma managed
#include "ICollisionShape.h"

using namespace System;
using namespace Microsoft::Xna::Framework;

namespace BulletCLI 
{
    public ref class StaticPlaneShape : public ICollisionShape
	{
	private:
		btStaticPlaneShape* m_p;
	internal:
        virtual btCollisionShape* GetPtr() override {return m_p;}
    public:
		StaticPlaneShape(Vector3 planeNormal,float planeConstant);
        virtual ~StaticPlaneShape();
		!StaticPlaneShape();
	};
}